/// <reference types="react" />
import type { Button } from 'react-native-paper';
export declare type colorType = 'primary' | 'secondary' | 'error' | string;
export declare type modeType = 'text' | 'contained';
export declare type ButtonProps = React.ComponentProps<typeof Button> & {
    mode?: modeType;
    color?: colorType;
    uppercase?: boolean;
};
